## edu.cwru.SimpleRTS.Log
Class DeathLog

    java.lang.Object
      edu.cwru.SimpleRTS.Log.DeathLog

All Implemented Interfaces:
  java.io.Serializable

    public class DeathLog

extends java.lang.Object
implements java.io.Serializable

A read only class that represents the death of something

Author:
  The Condor
See Also:
  Serialized Form

Constructor Summary
`DeathLog(int deadunitid, int player)`

Method Summary
`int` `getDeadUnitID()`
`int` `getPlayer()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeathLog

    public DeathLog(int deadunitid,
                    int player)

Method Detail

### getDeadUnitID

    public int getDeadUnitID()

### getPlayer

    public int getPlayer()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`